> For the complete documentation index, see [llms.txt](https://docs.mailtrap.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mailtrap.io/developers/email-sandbox/attachments.md).

# Attachments

Interactions with attachments

## Get attachments

> Get message attachments by sandbox\_id and message\_id.

```json
{"openapi":"3.1.0","info":{"title":"Email Sandbox","version":"2.0.0"},"tags":[{"name":"Attachments","description":"Interactions with attachments"}],"servers":[{"description":"Mailtrap API","url":"https://mailtrap.io"}],"security":[{"HeaderAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"HeaderAuth":{"type":"apiKey","description":"Pass the API token in the Api-Token","in":"header","name":"Api-Token"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"responses":{"UNAUTHENTICATED":{"description":"Returns unauthorized error message. Check your credentials.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthenticatedResponse"}}}},"NOT_FOUND":{"description":"Returns not found error message","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}}},"schemas":{"UnauthenticatedResponse":{"title":"UnauthenticatedResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}},"NotFoundResponse":{"title":"NotFoundResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}}}},"paths":{"/api/sandboxes/{sandbox_id}/messages/{message_id}/attachments":{"get":{"summary":"Get attachments","description":"Get message attachments by sandbox_id and message_id.","tags":["Attachments"],"parameters":[{"name":"attachment_type","description":"Attachment type","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Lists attachments with their details and download paths.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"message_id":{"type":"integer"},"filename":{"type":"string"},"attachment_type":{"type":"string"},"content_type":{"type":"string"},"content_id":{"type":"string","nullable":true},"transfer_encoding":{"type":"string","nullable":true},"attachment_size":{"type":"integer"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"attachment_human_size":{"type":"string"},"download_path":{"type":"string"}}}}}}},"401":{"$ref":"#/components/responses/UNAUTHENTICATED"},"403":{"description":"Returns forbidden error message. Check your permissions.","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string"}}}}}},"404":{"$ref":"#/components/responses/NOT_FOUND"}},"operationId":"getSandboxMessageAttachments"}}}}
```

## Get single attachment

> Get message single attachment by id.

```json
{"openapi":"3.1.0","info":{"title":"Email Sandbox","version":"2.0.0"},"tags":[{"name":"Attachments","description":"Interactions with attachments"}],"servers":[{"description":"Mailtrap API","url":"https://mailtrap.io"}],"security":[{"HeaderAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"HeaderAuth":{"type":"apiKey","description":"Pass the API token in the Api-Token","in":"header","name":"Api-Token"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"responses":{"UNAUTHENTICATED":{"description":"Returns unauthorized error message. Check your credentials.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthenticatedResponse"}}}},"NOT_FOUND":{"description":"Returns not found error message","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundResponse"}}}}},"schemas":{"UnauthenticatedResponse":{"title":"UnauthenticatedResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}},"NotFoundResponse":{"title":"NotFoundResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}}}},"paths":{"/api/sandboxes/{sandbox_id}/messages/{message_id}/attachments/{attachment_id}":{"get":{"summary":"Get single attachment","description":"Get message single attachment by id.","tags":["Attachments"],"responses":{"200":{"description":"Returns attachment details and download path.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer"},"message_id":{"type":"integer"},"filename":{"type":"string"},"attachment_type":{"type":"string"},"content_type":{"type":"string"},"content_id":{"type":"string","nullable":true},"transfer_encoding":{"type":"string","nullable":true},"attachment_size":{"type":"integer"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"attachment_human_size":{"type":"string"},"download_path":{"type":"string"}}}}}},"401":{"$ref":"#/components/responses/UNAUTHENTICATED"},"403":{"description":"Returns forbidden error message. Check your permissions.","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string"}}}}}},"404":{"$ref":"#/components/responses/NOT_FOUND"}},"operationId":"getSandboxMessageAttachment"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mailtrap.io/developers/email-sandbox/attachments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
